For the complete documentation index, see llms.txt. This page is also available as Markdown.

Flow Versions

List Flow Versions

get

Retrieves a paginated list of all versions for a specific flow.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

Query parameters
includestringOptional

Comma-separated list of relationships to include. Available: savedByUser, deployedByUser, steps, runs, latestRun, schedules, filters, schedules, variables

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/flows/{flow}/versions
GET /api/v1/flows/{flow}/versions HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 0,
      "flow_id": 0,
      "flow_name": "string",
      "flow_priority": 0,
      "iteration": 0,
      "status": "Draft",
      "is_deployed": false,
      "is_editable": true,
      "deployed_at": null,
      "deployed_by": null,
      "created_at": "2024-01-01T00:00:00.000000Z",
      "updated_at": "2024-01-01T00:00:00.000000Z",
      "has_callback_step": false,
      "latest_run": null,
      "steps": [],
      "schedules": []
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://core.wearepatchworks.com/api/v1/flows/4/versions",
    "per_page": 15,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://core.wearepatchworks.com/api/v1/flows/4/versions?page=1",
    "last": "https://core.wearepatchworks.com/api/v1/flows/4/versions?page=1",
    "prev": null,
    "next": null
  }
}

Create Flow Version

post

Creates a new draft version of a flow. Intended for use when a flow has no existing versions.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

Responses
200

Successful response

application/json
post/api/v1/flows/{flow}/versions
POST /api/v1/flows/{flow}/versions HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 0,
    "flow_id": 0,
    "flow_name": "string",
    "flow_priority": 0,
    "iteration": 0,
    "status": "Draft",
    "is_deployed": false,
    "is_editable": true,
    "deployed_at": null,
    "deployed_by": null,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z",
    "has_callback_step": false,
    "latest_run": null,
    "steps": [],
    "schedules": []
  }
}

Get Flow Version

get

Retrieves the details of a specific flow version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Responses
200

Successful response

application/json
get/api/v1/flows/{flow}/versions/{version}
GET /api/v1/flows/{flow}/versions/{version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 0,
    "flow_id": 0,
    "flow_name": "string",
    "flow_priority": 0,
    "iteration": 0,
    "status": "Draft",
    "is_deployed": false,
    "is_editable": true,
    "deployed_at": null,
    "deployed_by": null,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z",
    "has_callback_step": false,
    "latest_run": null,
    "steps": [],
    "schedules": []
  }
}

Update Flow Version

put

Updates an existing flow version. Accepts a deployed_at timestamp.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Body
deployed_atstring · date-time · nullableOptional
Responses
200

Successful response

application/json
put/api/v1/flows/{flow}/versions/{version}
PUT /api/v1/flows/{flow}/versions/{version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "deployed_at": null
}
{
  "data": {
    "id": 0,
    "flow_id": 0,
    "flow_name": "string",
    "flow_priority": 0,
    "iteration": 0,
    "status": "Draft",
    "is_deployed": false,
    "is_editable": true,
    "deployed_at": null,
    "deployed_by": null,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z",
    "has_callback_step": false,
    "latest_run": null,
    "steps": [],
    "schedules": []
  }
}

Delete Flow Version

delete

Permanently deletes a specific flow version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/flows/{flow}/versions/{version}
DELETE /api/v1/flows/{flow}/versions/{version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "string"
}

Copy Flow Version

post

Copies an existing deployed flow version into a new draft version. Any existing draft for that flow is overwritten.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

versionstringRequired

The version identifier.

Responses
200

Successful response

application/json
objectOptional
post/api/v1/flows/{flow}/versions/{version}/copy
POST /api/v1/flows/{flow}/versions/{version}/copy HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 0,
    "flow_id": 0,
    "flow_name": "string",
    "flow_priority": 0,
    "iteration": 0,
    "status": "Draft",
    "is_deployed": false,
    "is_editable": true,
    "deployed_at": null,
    "deployed_by": null,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z",
    "has_callback_step": false,
    "latest_run": null,
    "steps": [],
    "schedules": []
  }
}

Upload Flow Version

post

Uploads a given flow version to your private marketplace.

This operation requires administrator permissions. If you are authorising requests with an API key, this request won't work (company-level API keys are associated with manager-level permissions). If you are an administrator, you can use OAuth 2 credentials to complete this operation. For more information please see our Authentication section.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

Body
privatestringOptional
Responses
200

Successful response

application/json
objectOptional
post/api/v1/flow-versions/{flow_version}/upload
POST /api/v1/flow-versions/{flow_version}/upload HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "private": "example_private"
}
{
  "message": "string"
}

List Flow Version Metrics

get

Retrieves paginated metrics for a flow's versions. Results can be filtered by time interval, metric type, and key.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flowstringRequired

The flow identifier.

Responses
200

Successful response

application/json
get/api/v1/flows/{flow}/version-metrics
GET /api/v1/flows/{flow}/version-metrics HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "name": "My Example",
      "enabled_at": "2025-01-15T10:30:00.000000Z",
      "status": "Draft",
      "format": "csv",
      "body": "example_body",
      "deployed_at": "2025-01-15T10:30:00.000000Z",
      "labels": "example_labels",
      "notification_groups": "example_notification_groups",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "description": "A description of the resource",
      "layout_direction": "example_layout_direction",
      "is_enabled": {},
      "latest_version": {},
      "current_version": {},
      "deployed_version": {},
      "latest_deployed_version": [],
      "versions": [],
      "version_type_counts": [],
      "message_brokers": [],
      "message_broker_queues": [],
      "notification_group_ids": [],
      "webhooks": "example_webhooks",
      "callbacks": "example_callbacks",
      "current_version_step_count": 5,
      "current_version_connector_count": 5,
      "current_version_script_count": 5,
      "current_version_cache_count": 5,
      "current_version_data_pool_count": 5,
      "current_version_cross_ref_count": 5,
      "use_queued_time": "example_use_queued_time",
      "remove_failed_payloads": [],
      "priority": 1,
      "prod_flag": [],
      "deployments": [],
      "webhooks_count": 5,
      "callbacks_count": 5,
      "marketplace_app_id": 1,
      "blueprint_id": 1,
      "blueprint_version_number": "example_blueprint_version_number",
      "flow_folder_id": 1
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://app.wearepatchworks.com/core-main/api/v1/flows/{flow}/version-metrics",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://app.wearepatchworks.com/core-main/api/v1/flows/{flow}/version-metrics?page=1",
    "last": "https://app.wearepatchworks.com/core-main/api/v1/flows/{flow}/version-metrics?page=1",
    "prev": null,
    "next": null
  }
}

List Flow Version Schedules

get

Retrieves a paginated list of all schedules for a specific flow version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

Query parameters
filter[flow_version_id]stringOptional

Filter results by flow_version_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowVersion

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/flow-versions/{flow_version}/schedules
GET /api/v1/flow-versions/{flow_version}/schedules HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 0,
      "flow_version_id": 0,
      "cron_string": "string",
      "flow_template_schedule_id": null,
      "deleted_at": null,
      "created_at": "2024-01-01T00:00:00.000000Z",
      "updated_at": "2024-01-01T00:00:00.000000Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://core.wearepatchworks.com/api/v1/flow-versions/6/schedules",
    "per_page": 15,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://core.wearepatchworks.com/api/v1/flow-versions/6/schedules?page=1",
    "last": "https://core.wearepatchworks.com/api/v1/flow-versions/6/schedules?page=1",
    "prev": null,
    "next": null
  }
}

Create Flow Version Schedule

post

Creates a new schedule for a flow version using a cron_string.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

Body
cron_stringstringRequired
deployed_atstring · date-time · nullableOptional
Responses
200

Successful response

application/json
post/api/v1/flow-versions/{flow_version}/schedules
POST /api/v1/flow-versions/{flow_version}/schedules HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "cron_string": "string",
  "deployed_at": null
}
{
  "data": {
    "id": 0,
    "flow_version_id": 0,
    "cron_string": "string",
    "flow_template_schedule_id": null,
    "deleted_at": null,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z"
  }
}

Update Flow Version Schedule

put

Updates the cron_string for an existing flow version schedule.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

schedulestringRequired

The schedule identifier.

Body
cron_stringstringOptional
deployed_atstring · date-time · nullableOptional
Responses
200

Successful response

application/json
put/api/v1/flow-versions/{flow_version}/schedules/{schedule}
PUT /api/v1/flow-versions/{flow_version}/schedules/{schedule} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "cron_string": "string",
  "deployed_at": null
}
{
  "data": {
    "id": 0,
    "flow_version_id": 0,
    "cron_string": "string",
    "flow_template_schedule_id": null,
    "deleted_at": null,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z"
  }
}

Delete Flow Version Schedule

delete

Permanently deletes a specific flow version schedule.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

schedulestringRequired

The schedule identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/flow-versions/{flow_version}/schedules/{schedule}
DELETE /api/v1/flow-versions/{flow_version}/schedules/{schedule} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "string"
}

Update Flow Version Graph Step

patch

Updates a specific canvas step for a specific flow version.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
stepstringRequired

The step identifier.

flow_versionstringRequired

The flow version identifier.

Responses
200

OK

No content

patch/api/v1/flow-versions/{flow_version}/graph/steps/{step}
PATCH /api/v1/flow-versions/{flow_version}/graph/steps/{step} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?